Subject: Re: [PATCHv2 net-next] Bonding: add missed_max option

From: Jay Vosburgh <[email-masked]>
Date: Wed, 17 Nov 2021 16:16:46 +0000

Hangbin Liu <[email-masked]> wrote:

>On Wed, Nov 17, 2021 at 08:40:25AM +0000, Jay Vosburgh wrote:
>> Hangbin Liu <[email-masked]> wrote:
>> 
>> >Currently, we use hard code number to verify if we are in the
>> >arp_interval timeslice. But some user may want to reduce/extend
>> >the verify timeslice. With the similar team option 'missed_max'
>> >the uers could change that number based on their own environment.
>> >
>> >The name of arp_misssed_max is not used as we may use this option for
>> >Bonding IPv6 NS/NA monitor in future.
>> 
>> 	Why reserve "arp_missed_max" for IPv6 which doesn't use ARP?  If
>> the option is for the ARP monitor, then prefixing it with "arp_" would
>> be consistent with the other arp_* options.
>
>I didn't explain it clearly. I want to say:
>
>I'm not using arp_misssed_max as the new option name because I plan to add
>bonding IPv6 NS/NA monitor in future. At that time the option "missed_max"
>could be used for both IPv4/IPv6 monitor.
>
>I will update the commit description in next version.

	There has been talk of adding an IPv6 NS monitor for years, but
it hasn't manifested.  I would prefer to see a consistent set of options
nomenclature in what we have here and now.  If and when an IPv6 version
is added, depending on the implementation, either the IPv6 item can be a
discrete tunable, or an alias could be added, similar to num_grat_arp /
num_unsol_na.

	-J

---
	-Jay Vosburgh, [email-masked]